For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTCreate a New Shift Rate
      • DELDelete a Shift Rate by external ID
      • POSTGenerate timesheet upload url
      • GETRetrieve a Paginated List of Shift Rates
      • GETRetrieve a Shift Rate by External ID
      • GETRetrieve a timesheet
      • POSTReview a submitted timesheet
      • PATCHUpdate a shift rate
LogoLogo
SupportDeel Home
EndpointsTime Tracking

Create a New Shift Rate

POST
/time_tracking/shift_rates
POST
/rest/v2/time_tracking/shift_rates
$curl -X POST https://api.letsdeel.com/rest/v2/time_tracking/shift_rates \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "name": "Night Shift Bonus",
> "external_id": "rate-unique-id-1234",
> "type": "MULTIPLIER_PERCENTAGE",
> "value": 80.2
> }
>}'
1{
2 "data": {
3 "name": "Night Shift Bonus",
4 "type": "MULTIPLIER_PERCENTAGE",
5 "value": 80.2,
6 "external_id": "rate-unique-id-1234"
7 }
8}

Creates a new shift rate with a specified name, type, value, and an externally supplied identifier that can be used to correlate the rate with records in external systems. Token scopes: time-tracking:write

Was this page helpful?
Previous

Delete a Shift Rate by external ID

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Details of the shift rate to create.
dataobjectRequired

Response

Shift rate created successfully.
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/